Package io.vertx.grpc.reflection.v1

## Interface FileDescriptorResponseOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `FileDescriptorResponse`, `FileDescriptorResponse.Builder`

      public interface FileDescriptorResponseOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.google.protobuf.ByteString` | `getFileDescriptorProto​(int index)` | Serialized FileDescriptorProto messages.
    `int` | `getFileDescriptorProtoCount()` | Serialized FileDescriptorProto messages.
    `List<com.google.protobuf.ByteString>` | `getFileDescriptorProtoList()` | Serialized FileDescriptorProto messages.

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getFileDescriptorProtoList

          List<com.google.protobuf.ByteString> getFileDescriptorProtoList()

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Returns:
        A list containing the fileDescriptorProto.

    - #### getFileDescriptorProtoCount

          int getFileDescriptorProtoCount()

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Returns:
        The count of fileDescriptorProto.

    - #### getFileDescriptorProto

          com.google.protobuf.ByteString getFileDescriptorProto​(int index)

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The fileDescriptorProto at the given index.